C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE SNGINT(ISV,IE)
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT REAL*4    (C)
	IMPLICIT INTEGER*2 (D-Z)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512),ICS,ICB,ICOM
C*****COMMENT AND CURVE LABLE
	IE=12
C*****	       LC  CO  RI
220	GOTO (230,240,245),ICOM-14
C*****LC..15
230	IF(LABCUR(ISV).LT.0)GOTO 1040
	RETURN
C*****CO..16
240	CALL PCOM(ISV)
	RETURN
C*****RI..17
245	IF(ROI(ISV))1110,1110,20
1110	IE=9
	RETURN
1040	IE=4
20	RETURN
	END
